CONTAINER-RUN(1)

NAME
container-run - Execute commands in a container namespace

SYNOPSIS
container run ['OPTIONS'] -- 'COMMAND'|"COMMANDS"
cnt r ['OPTIONS'] -- 'COMMAND'|"COMMANDS"

DESCRIPTION

The container run command executes arbitrary commands as root in a container namespace.

OPTIONS

The following container run options are available:

    -n, --name='NAME':
        Specify container name. Specifying 'ALL' will start all stopped container.

EXAMPLES

Run 'hostname' in example.net container:
        sudo container run -n example.net -- hostname

Create and delete a file in example.net container:
        sudo container run -n example.net -- 'touch /tmp/foo && rm -f /tmp/foo'

SEE ALSO
compute-tools(7),
container(1).

HOMEPAGE

More information about compute-tools and the Open Infrastructure project can be found on the homepage ( <https://open-infrastructure.net> ).

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List < <software@lists.open-infrastructure.net> >.

Debian specific bugs can also be reported in the Debian Bug Tracking System ( <https://bugs.debian.org> ).

AUTHORS

compute-tools were written by Daniel Baumann < <daniel.baumann@open-infrastructure.net> > and others.